---
- hosts: all
  become: true
  gather_facts: True

  vars:
    aegir_http_service_type: apache
    aegir_pub_key_file: "/tmp/aegir_id_rsa.pub"

  pre_tasks:

    - name: Check if Aegir server public key file exists.
      stat: 
        path: "{{ aegir_pub_key_file }}"
      register: pubkey

    - name: Fail if Aegir server public key file does not exist.
      fail: 
        msg: "{{ aegir_pub_key_file }} does not exist"
      when: pubkey.stat.exists == false

    - name: Read the contents of the Aegir server public key.
      command: cat "{{ aegir_pub_key_file }}"
      register: aegir_pub_key

    - name: Allow the Aegir server to SSH into this minion.
      set_fact:
        aegir_ssh_pub_key: "{{ aegir_pub_key.stdout }}"

  roles:
    - consensus.aegir-minion

